[next] [prev] [prev-tail] [tail] [up]

#### 3.2.26 output

This option tells FPDoc where the output file should be generated. How this option is interpreted depends on the format that is used. For latex, this is interpreted as the filename for the tex file. For chm, this is interpreted as the output filename. For all other formats, this is interpreted as the directory where all documentation files will be written. The directory will be created if it does not yet exist.

The filename or directory name is interpreted as relative to the current directory.

Example:

--format=html --output=docs/classes

will generate HTML documentation in the directory docs/classes.

--format=latex --output=docs/classes.tex

will generate latex documentation in the file docs/classes.

--format=chm --output=docs.chm

will generate chm documentation in the file docs.chm.

[next] [prev] [prev-tail] [front] [up]